/**
 * 版权所有 ©2021 
 * 工程名：yearBooks
 * 文件名：HomeController.java
 * 创建日期：2021年10月28日 下午3:45:12
 * 作者：duanxiaomingzi
 */
package com.lion.controller;

import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.lion.entity.LoginUserInfo;
import com.lion.service.HomeService;
import com.lion.util.TokenUtil;

/**
 * 类描述
 * @author duanxiaomingzi
 * @since 2021年10月28日
 */
@RestController
@RequestMapping("home")
public class HomeController {
	@Resource
	private HomeService service;
	/**
	 * 方法描述 农村与农村经济
	 * @author duanxiaomingzi
	 * @since 2021年10月29日
	 * @param req
	 * @param year
	 * @return	
	 */
	@RequestMapping("getNcjjInfo.service")
	public Map<String,Object> getNcjjInfo(HttpServletRequest req,String year){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		String orgid=user.getOrgid();
		return service.getNcjjInfo(year, orgid);
	}
	/**
	 * 方法描述  农业技术装备统计
	 * @author duanxiaomingzi
	 * @since 2021年10月29日
	 * @param req
	 * @param year
	 * @return	
	 */
	@RequestMapping("getNyzbInfo.service")
	public Map<String,Object> getNyzbInfo(HttpServletRequest req,String year){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		String orgid=user.getOrgid();
		return service.getNyzbInfo(year, orgid);
	}
	/**
	 * 方法描述 农村科技与教育
	 * @author duanxiaomingzi
	 * @since 2021年10月29日
	 * @param req
	 * @param year
	 * @return	
	 */
	@RequestMapping("getNckjInfo.service")
	public Map<String,Object> getNckjInfo(HttpServletRequest req,String year){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		String orgid=user.getOrgid();
		return service.getNckjInfo(year, orgid);
	}
	/**
	 * 方法描述 种植业
	 * @author duanxiaomingzi
	 * @since 2021年10月29日
	 * @param req
	 * @param year
	 * @return	
	 */
	@RequestMapping("getZzyInfo.service")
	public Map<String,Object> getZzyInfo(HttpServletRequest req,String year){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		String orgid=user.getOrgid();
		return service.getZzyInfo(year, orgid);
	}
	/**
	 * 方法描述 畜牧业
	 * @author duanxiaomingzi
	 * @since 2021年10月29日
	 * @param req
	 * @param year
	 * @return	
	 */
	@RequestMapping("getXmyInfo.service")
	public Map<String,Object> getXmyInfo(HttpServletRequest req,String year){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		String orgid=user.getOrgid();
		return service.getXmyInfo(year, orgid);
	}
	/**
	 * 方法描述 农村与农村经济
	 * @author duanxiaomingzi
	 * @since 2021年10月29日
	 * @param req
	 * @param year
	 * @return	
	 */
	@RequestMapping("getYyInfo.service")
	public Map<String,Object> getYyInfo(HttpServletRequest req,String year){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		String orgid=user.getOrgid();
		return service.getYyInfo(year, orgid);
	}
}
